## python-bottle 0.8.4

=== apidoc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -c sphinx 
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d sphinx/build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) html
	@echo
	@echo "Build finished. The HTML pages are in html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) sphinx/build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in sphinx/build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) sphinx/build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) sphinx/build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) sphinx/build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in sphinx/build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) sphinx/build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator sphinx/build/qthelp/Bottle.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile sphinx/build/qthelp/Bottle.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) sphinx/build/latex
	@echo
	@echo "Build finished; the LaTeX files are in sphinx/build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) sphinx/build/changes
	@echo
	@echo "The overview file is in sphinx/build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) sphinx/build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in sphinx/build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) sphinx/build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in sphinx/build/doctest/output.txt."

## python-bottle 0.8.0

=== debian/changelog ===
python-bottle (0.8.0-3) unstable; urgency=low

  * debian/patches/02-fix_autoserver_ordering.patch added, moves
    CherryPyServer later in the list, since it does weird things
    on import even when people don't use it. (Closes: #586316)
  * debian/control:
    - added Provides to python-bottle

 -- David Paleino <dapal@debian.org>  Fri, 18 Jun 2010 20:24:26 +0200

python-bottle (0.8.0-2) unstable; urgency=low

  * debian/patches/01-fix_quiet_parsing.patch added, thanks to Enrico
    Zini: only use "quiet" parameter inside run(), i.e. don't pass it
    to the server adapter (Closes: #584781)

 -- David Paleino <dapal@debian.org>  Sun, 06 Jun 2010 17:04:28 +0200

python-bottle (0.8.0-1) unstable; urgency=low

  * New upstream version
  * debian/watch updated to point to github tags
  * debian/control:
    - added Build-Dependency on python-sphinx, to build documentation
    - bumped debhelper B-D to >= 7.0.50~
    - Standards-Version bumped to 3.8.4 , no changes needed
    - added runtime Depends on libjs-jquery
    - new package python-bottle-doc added
  * debian/python-bottle-doc.docs added
  * debian/rules:
    - also install generated documentation
  * debian/source/format added, using 3.0 (quilt).
  * debian/python-bottle-doc.links added, use system-wide jQuery
  * debian/python-bottle-doc.doc-base added

 -- David Paleino <dapal@debian.org>  Wed, 31 Mar 2010 18:30:31 +0200

python-bottle (0.6.4-1) unstable; urgency=low

  * Initial release (Closes: #555717)

 -- David Paleino <dapal@debian.org>  Wed, 11 Nov 2009 13:48:02 +0100

=== debian/control ===
Source: python-bottle
Section: python
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends:
 debhelper (>= 7.0.50~)
Build-Depends-Indep:
 python-support
 , python (>= 2.5)
 , python-sphinx
Standards-Version: 3.8.4
Homepage: http://bottle.paws.de/
XS-Python-Version: >=2.5
Vcs-Git: git://git.debian.org/collab-maint/python-bottle.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-bottle.git

Package: python-bottle
Architecture: all
Depends:
 ${python:Depends}
 , ${misc:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: fast and simple WSGI-framework for Python
 Bottle is a fast and simple WSGI-framework for the Python programming
 language. It offers request dispatching with url parameter support
 (routes), templates, key/value databases, a built-in HTTP server and
 adapters for many third party WSGI/HTTP-server and template engines.

Package: python-bottle-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
 , libjs-jquery
Description: fast and simple WSGI-framework for Python - documentation
 Bottle is a fast and simple WSGI-framework for the Python programming
 language. It offers request dispatching with url parameter support
 (routes), templates, key/value databases, a built-in HTTP server and
 adapters for many third party WSGI/HTTP-server and template engines.
 .
 This package contains the Python module documentation.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/defnull/bottle/(\d+.*).tar.gz
#http://pypi.python.org/packages/source/b/bottle/bottle-(\d+.*)\.tar\.gz

## python-bottle 0.8.4

=== debian/changelog ===
python-bottle (0.8.4-1) unstable; urgency=low

  * New upstream version
  * Uploading to unstable

 -- David Paleino <dapal@debian.org>  Wed, 13 Oct 2010 09:46:03 +0200

python-bottle (0.8.3-1) experimental; urgency=low

  * New upstream version
  * Upload to experimental, since we're in hard Squeeze freeze now.

 -- David Paleino <dapal@debian.org>  Sun, 05 Sep 2010 07:52:39 +0200

python-bottle (0.8.2-1) unstable; urgency=low

  * New upstream version
  * debian/patches/02-fix_autoserver_ordering.patch refreshed
  * debian/control:
    - Standards-Version bumped to 3.9.1, no changes needed

 -- David Paleino <dapal@debian.org>  Mon, 02 Aug 2010 21:59:17 +0200

python-bottle (0.8.1-1) unstable; urgency=low

  * New upstream version
  * debian/patches/:
    - 01-fix_quiet_parsing.patch disabled, seems fixed in a different
      way upstream
    - 02-fix_autoserver_ordering.patch refreshed
  * debian/control:
    - Standards-Version bumped to 3.9.0, no changes needed
  * debian/README.source removed, since the package now contains the
    documentation
  * debian/watch fixed, only get versions made by digits and dots
  * debian/NEWS.Debian added, explain incompatible API changes with previous
    versions

 -- David Paleino <dapal@debian.org>  Thu, 15 Jul 2010 19:22:37 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python-support
  , python (>= 2.5)
  , python-sphinx
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://bottle.paws.de/
 XS-Python-Version: >=2.5
 Vcs-Git: git://git.debian.org/collab-maint/python-bottle.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C apidoc dirhtml

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/python-bottle-doc/usr/share/doc/python-bottle-doc/dirhtml/ \
	   $(CURDIR)/debian/python-bottle-doc/usr/share/doc/python-bottle-doc/api/

override_dh_compress:
	dh_compress -Xpython-bottle-doc/api

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C apidoc clean

%:
	dh  $@

=== debian/watch ===
version=3
http://githubredir.debian.net/github/defnull/bottle/([\d\.]+).tar.gz

## python-bottle 0.9.5

=== debian/changelog ===
python-bottle (0.9.5-2) unstable; urgency=low

  * Testsuite disabled at build-time (Closes: #640266)
  * Use libjs-underscore in python-bottle-doc

 -- David Paleino <dapal@debian.org>  Thu, 27 Oct 2011 23:04:15 +0200

python-bottle (0.9.5-1) unstable; urgency=low

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 03 Jul 2011 09:23:08 +0000

python-bottle (0.9.4-1) unstable; urgency=low

  [ David Paleino ]
  * Added python-{paste,eventlet} B-D to feed the testsuite

  [ Federico Ceratto ]
  * New upstream version
  * DM-Upload-Allowed added

 -- David Paleino <dapal@debian.org>  Fri, 24 Jun 2011 11:17:34 +0200

python-bottle (0.9.1-1) unstable; urgency=low

  * New upstream version
  * Update debian/copyright
  * Standards-Version bump to 3.9.2, no changes needed
  * Patches refreshed
  * Fix docs generation (directory renamed upstream)
  * Fix testsuite
  * Adapt debian/rules to correctly run the testsuite and install
    the plugins

 -- David Paleino <dapal@debian.org>  Fri, 13 May 2011 18:13:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,23 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
+DM-Upload-Allowed: yes
 Build-Depends:
  debhelper (>= 7.0.50~)
 Build-Depends-Indep:
- python-support
- , python (>= 2.5)
+ python (>= 2.6.6-3~)
  , python-sphinx
-Standards-Version: 3.9.1
+# needed for build-time tests
+ , python-cherrypy
+ , python-gevent
+ , python-mako
+ , python-eventlet
+ , python-paste
+# , gunicorn
+# , python-tornado
+Standards-Version: 3.9.2
 Homepage: http://bottle.paws.de/
-XS-Python-Version: >=2.5
+X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/collab-maint/python-bottle.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-bottle.git
 
@@ -34,6 +42,7 @@
 Depends:
  ${misc:Depends}
  , libjs-jquery
+ , libjs-underscore
 Description: fast and simple WSGI-framework for Python - documentation
  Bottle is a fast and simple WSGI-framework for the Python programming
  language. It offers request dispatching with url parameter support

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,20 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+override_dh_auto_test:
+	# do nothing
+	# testing disabled due to bugs -- see #640266
+
 override_dh_auto_build:
-	dh_auto_build
-	$(MAKE) -C apidoc dirhtml
+	dh_auto_build -Spython_distutils
+	for i in plugins/*; do \
+		dh_auto_build -Spython_distutils -D$$i -Bbuild/; \
+	done
+	$(MAKE) -C docs dirhtml
+
+override_dh_auto_install:
+	dh_auto_install -Spython_distutils
+	rm -rf $(CURDIR)/debian/python-bottle-doc/usr/share/doc/python-bottle-doc/api/_images/myface_small.png
 
 override_dh_installdocs:
 	dh_installdocs
@@ -17,8 +28,9 @@
 	dh_compress -Xpython-bottle-doc/api
 
 override_dh_auto_clean:
-	dh_auto_clean
-	$(MAKE) -C apidoc clean
+	dh_auto_clean -Spython_distutils
+	$(MAKE) -C docs clean
 
 %:
-	dh  $@
+	dh $@ \
+		--with python2

## python-bottle 0.10.2

=== debian/changelog ===
python-bottle (0.10.2-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Sun, 04 Dec 2011 18:52:27 +0100

python-bottle (0.10.1-1) unstable; urgency=low

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 26 Nov 2011 18:27:31 +0000

python-bottle (0.9.7-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - bumped to debhelper 8
    - dependency to python-all added
  * debian/copyright updated

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 18 Nov 2011 21:34:34 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 7.0.50~)
+ debhelper (>= 8.0.0~)
 Build-Depends-Indep:
- python (>= 2.6.6-3~)
+ python-all (>= 2.6.6-3~)
  , python-sphinx
 # needed for build-time tests
  , python-cherrypy
@@ -28,7 +28,6 @@
 Depends:
  ${python:Depends}
  , ${misc:Depends}
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: fast and simple WSGI-framework for Python
  Bottle is a fast and simple WSGI-framework for the Python programming

## python-bottle 0.10.6

=== debian/changelog ===
python-bottle (0.10.6-1) unstable; urgency=low

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 22 Dec 2011 21:42:21 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Standards-Version: 3.9.2
 Homepage: http://bottle.paws.de/
 X-Python-Version: >= 2.5
-Vcs-Git: git://git.debian.org/collab-maint/python-bottle.git
+Vcs-Git: git://git.debian.org/git/collab-maint/python-bottle.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-bottle.git
 
 Package: python-bottle

## python-bottle 0.10.7

=== debian/changelog ===
python-bottle (0.10.7-1) unstable; urgency=low

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 21 Jan 2012 19:08:19 +0000

## python-bottle 0.10.9

=== debian/changelog ===
python-bottle (0.10.9-1) unstable; urgency=low

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 17 Feb 2012 20:09:00 +0000

## python-bottle 0.10.11

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         = a4
BUILDDIR      = ../build/docs
SCRDIR	      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SCRDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SCRDIR)


.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/%(project_fn)s.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/%(project_fn)s.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/%(project_fn)s"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/%(project_fn)s"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-bottle (0.10.11-1+deb7u1) wheezy-security; urgency=high

  * Fix JSON content-type check vulnerability (Closes: #746322)
    - CVE-2014-3137
    - Upstream bug: https://github.com/defnull/bottle/issues/616

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 01 May 2014 21:19:50 +0100

python-bottle (0.10.11-1) unstable; urgency=low

  * New upstream version
  * Homepage updated (Closes: #671230)
  * Standard-Version bumped to 3.9.3, debhelper version bumped to 9

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 29 Jun 2012 22:38:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
 DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8.0.0~)
+ debhelper (>= 9~)
 Build-Depends-Indep:
  python-all (>= 2.6.6-3~)
  , python-sphinx
@@ -17,8 +17,8 @@
  , python-paste
 # , gunicorn
 # , python-tornado
-Standards-Version: 3.9.2
-Homepage: http://bottle.paws.de/
+Standards-Version: 3.9.3
+Homepage: http://bottlepy.org
 X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/collab-maint/python-bottle.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/python-bottle.git

=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,10 @@
 	dh_auto_clean -Spython_distutils
 	$(MAKE) -C docs clean
 
+override_dh_installchangelogs:
+	dh_installchangelogs docs/changelog.rst
+
+
 %:
 	dh $@ \
 		--with python2

## python-bottle 0.11.6

=== Makefile ===
PATH := build/python/bin:$(PATH)
VERSION = $(shell python setup.py --version)
ALLFILES = $(shell echo bottle.py test/*.py test/views/*.tpl)

.PHONY: release install docs test test_all test_25 test_26 test_27 test_31 test_32 test_33 2to3 clean

release: test_all
	python setup.py --version | egrep -q -v '[a-zA-Z]' # Fail on dev/rc versions
	git commit -e -m "Release of $(VERSION)"           # Fail on nothing to commit
	git tag -a -m "Release of $(VERSION)" $(VERSION)   # Fail on existing tags
	git push origin HEAD                               # Fail on out-of-sync upstream
	git push origin tag $(VERSION)                     # Fail on dublicate tag
	python setup.py sdist register upload              # Release to pypi

push: test_all
	git push origin HEAD

install:
	python setup.py install

docs:
	cd docs/; $(MAKE) html

test:
	python test/testall.py

test_all: test_25 test_26 test_27 test_31 test_32 test_33

test_25:
	python2.5 test/testall.py

test_26:
	python2.6 test/testall.py

test_27:
	python2.7 test/testall.py

test_31:
	python3.1 test/testall.py

test_32:
	python3.2 test/testall.py

test_33:
	python3.3 test/testall.py

clean:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '._*' -exec rm -f {} +
	find . -name '.coverage*' -exec rm -f {} +
	rm -rf build/ dist/ MANIFEST 2>/dev/null || true

=== debian/changelog ===
python-bottle (0.11.6-1) unstable; urgency=low

  * d/changelog: New upstream release 0.11.6

 -- Federico Ceratto <federico.ceratto@gmail.com>  Mon, 06 May 2013 21:05:51 +0100

python-bottle (0.11.3-1) experimental; urgency=low

  * New upstream version
  * Unit-testing enabled

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 02 Nov 2012 15:34:26 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
-DM-Upload-Allowed: yes
 Build-Depends:
  debhelper (>= 9~)
 Build-Depends-Indep:
@@ -11,13 +10,19 @@
  , python-sphinx
 # needed for build-time tests
  , python-cherrypy
+ , python-eventlet
+ , python-flup
  , python-gevent
+ , python-jinja2
  , python-mako
- , python-eventlet
+ , python-nose
  , python-paste
+ , python-simpletal
+ , python-tornado
+ , python-twisted
+ , python-werkzeug
 # , gunicorn
-# , python-tornado
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bottlepy.org
 X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/git/collab-maint/python-bottle.git

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 override_dh_auto_test:
-	# do nothing
-	# testing disabled due to bugs -- see #640266
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	for python in $(shell pyversions -r); do \
+		echo "Running unit tests with $$python"; \
+		$$python test/testall.py; \
+	done
+endif
 
 override_dh_auto_build:
 	dh_auto_build -Spython_distutils

## python-bottle 0.11.7

=== debian/changelog ===
python-bottle (0.11.7-0tanglu0.1) aequorea-updates; urgency=medium

  * New upstream release 0.11.7

 -- Jon Severinsson <jon@severinsson.net>  Thu, 05 Jun 2014 18:00:00 +0200

## python-bottle 0.12.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 VERSION = $(shell python setup.py --version)
 ALLFILES = $(shell echo bottle.py test/*.py test/views/*.tpl)
 
-.PHONY: release install docs test test_all test_25 test_26 test_27 test_31 test_32 test_33 2to3 clean
+.PHONY: release coverage install docs test test_all test_25 test_26 test_27 test_31 test_32 test_33 2to3 clean
 
 release: test_all
 	python setup.py --version | egrep -q -v '[a-zA-Z]' # Fail on dev/rc versions
@@ -12,6 +12,14 @@
 	git push origin tag $(VERSION)                     # Fail on dublicate tag
 	python setup.py sdist register upload              # Release to pypi
 
+coverage:
+	-mkdir build/
+	coverage erase
+	COVERAGE_PROCESS_START=.coveragerc test/testall.py
+	coverage combine
+	coverage report
+	coverage html
+
 push: test_all
 	git push origin HEAD
 
@@ -19,7 +27,7 @@
 	python setup.py install
 
 docs:
-	cd docs/; $(MAKE) html
+	sphinx-build -b html -d build/docs/doctrees docs build/docs/html
 
 test:
 	python test/testall.py
@@ -45,10 +53,11 @@
 	python3.3 test/testall.py
 
 clean:
+	rm -rf build/ dist/ MANIFEST 2>/dev/null || true
+	find . -name '__pycache__' -exec rm -rf {} +
 	find . -name '*.pyc' -exec rm -f {} +
 	find . -name '*.pyo' -exec rm -f {} +
 	find . -name '*~' -exec rm -f {} +
 	find . -name '._*' -exec rm -f {} +
 	find . -name '.coverage*' -exec rm -f {} +
-	rm -rf build/ dist/ MANIFEST 2>/dev/null || true

=== debian/changelog ===
python-bottle (0.12.0-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream version

 -- David Paleino <dapal@debian.org>  Mon, 06 Jan 2014 18:44:50 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,9 @@
  debhelper (>= 9~)
 Build-Depends-Indep:
  python-all (>= 2.6.6-3~)
+ , python3-all
+ , python-doc
+ , dh-python
  , python-sphinx
 # needed for build-time tests
  , python-cherrypy
@@ -15,18 +18,19 @@
  , python-gevent
  , python-jinja2
  , python-mako
- , python-nose
  , python-paste
  , python-simpletal
  , python-tornado
+ , python-tox
  , python-twisted
  , python-werkzeug
-# , gunicorn
+ , gunicorn
 Standards-Version: 3.9.4
 Homepage: http://bottlepy.org
 X-Python-Version: >= 2.5
-Vcs-Git: git://git.debian.org/git/collab-maint/python-bottle.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/python-bottle.git
+X-Python3-Version: >= 3.2
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-bottle.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-bottle.git
 
 Package: python-bottle
 Architecture: all
@@ -40,11 +44,24 @@
  (routes), templates, key/value databases, a built-in HTTP server and
  adapters for many third party WSGI/HTTP-server and template engines.
 
+Package: python3-bottle
+Architecture: all
+Depends:
+ ${python3:Depends}
+ , ${misc:Depends}
+Provides: ${python3:Provides}
+Description: fast and simple WSGI-framework for Python3
+ Bottle is a fast and simple WSGI-framework for the Python3 programming
+ language. It offers request dispatching with url parameter support
+ (routes), templates, key/value databases, a built-in HTTP server and
+ adapters for many third party WSGI/HTTP-server and template engines.
+
 Package: python-bottle-doc
 Architecture: all
 Section: doc
 Depends:
  ${misc:Depends}
+ , ${sphinxdoc:Depends}
  , libjs-jquery
  , libjs-underscore
 Description: fast and simple WSGI-framework for Python - documentation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME=bottle

export DH_VERBOSE=1

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild --test-tox

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bhtml docs/ build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -bman docs/ build/man
	rm -rf ./build/html/.doctrees

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_test:
	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="nosetests" dh_auto_test
	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} test/testall.py" dh_auto_test
	python test/testall.py

## python-bottle 0.12.7

=== debian/changelog ===
python-bottle (0.12.7-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sat, 10 May 2014 15:45:22 +0100

python-bottle (0.12.6-1) unstable; urgency=high

  * New upstream release, closes https://github.com/defnull/bottle/issues/616

 -- Federico Ceratto <federico.ceratto@gmail.com>  Tue, 29 Apr 2014 00:18:11 +0100

python-bottle (0.12.5-1) unstable; urgency=medium

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Thu, 13 Mar 2014 00:45:10 +0000

python-bottle (0.12.4-1) unstable; urgency=low

  * New upstream version

 -- Federico Ceratto <federico.ceratto@gmail.com>  Fri, 28 Feb 2014 23:29:33 +0000

python-bottle (0.12.3-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream version
  * Standard-Version bumped to 3.9.5

  [ Daniel Schepler ]
  * DEB_BUILD_OPTIONS nocheck support added (Closes: #739102)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 16 Feb 2014 22:08:50 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  , python-twisted
  , python-werkzeug
  , gunicorn
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://bottlepy.org
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=bottle

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild --test-tox

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs build/man
	rm -rf ./build/html/.doctrees

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-bottle-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	python test/testall.py
endif

## python-bottle 0.12.9

=== debian/changelog ===
python-bottle (0.12.9-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2015 15:11:09 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
-Uploaders: Federico Ceratto <federico.ceratto@gmail.com>
+Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends:
  debhelper (>= 9~)
 Build-Depends-Indep:
@@ -25,7 +25,7 @@
  , python-twisted
  , python-werkzeug
  , gunicorn
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://bottlepy.org
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2

## python-bottle 0.12.13

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 test:
 	python test/testall.py
 
-test_all: test_25 test_26 test_27 test_31 test_32 test_33
+test_all: test_25 test_26 test_27 test_31 test_32 test_33 test_34
 
 test_25:
 	python2.5 test/testall.py
@@ -52,6 +52,9 @@
 test_33:
 	python3.3 test/testall.py
 
+test_34:
+	python3.4 test/testall.py
+
 clean:
 	rm -rf build/ dist/ MANIFEST 2>/dev/null || true
 	find . -name '__pycache__' -exec rm -rf {} +

=== debian/changelog ===
python-bottle (0.12.13-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: fix information disclosure vulnerability
    - debian/patches/CVE-2022-31799.patch: fix error mishandling during early   
      request binding in bottle.py
    - CVE-2022-31799

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 25 Jul 2022 17:41:02 +0530

python-bottle (0.12.13-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Web cache poisoning
    - debian/patches/CVE-2020-28473.patch: Do not split query strings on ;
      anymore in bottle.py.
    - CVE-2020-28473

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 05 Oct 2021 14:21:03 -0300

python-bottle (0.12.13-1) unstable; urgency=medium

  * New upstream release (See #850176)

 -- Federico Ceratto <federico@debian.org>  Tue, 10 Jan 2017 23:54:52 +0000

python-bottle (0.12.11-1) unstable; urgency=high

  * New upstream release (Closes: #848392)
  * Add python-setuptools dependency

 -- Federico Ceratto <federico@debian.org>  Sun, 18 Dec 2016 11:55:28 +0000

python-bottle (0.12.10-1) unstable; urgency=medium

  * New upstream release
  * Run only "fast" unit tests (Closes: #834918)

 -- Federico Ceratto <federico@debian.org>  Sun, 16 Oct 2016 22:18:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-bottle
 Section: python
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends:
  debhelper (>= 9~)
@@ -11,6 +12,7 @@
  , python-doc
  , dh-python
  , python-sphinx
+ , python-setuptools
 # needed for build-time tests
  , python-cherrypy
  , python-eventlet
@@ -25,12 +27,12 @@
  , python-twisted
  , python-werkzeug
  , gunicorn
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://bottlepy.org
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-bottle.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-bottle.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-bottle.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-bottle.git
 
 Package: python-bottle
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	python test/testall.py
+	# Run only "fast" tests, see #834918 and
+	# https://github.com/bottlepy/bottle/commit/9752ca1bd464371db0217a0681cd67d9a7a8dcda
+	python test/testall.py fast
 endif

## python-bottle 0.12.15

=== debian/changelog ===
python-bottle (0.12.15-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937620

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jan 2020 13:51:29 -0500

python-bottle (0.12.15-2) unstable; urgency=medium

  * Update tox dependency (Closes: #924836)

 -- Federico Ceratto <federico@debian.org>  Tue, 26 Mar 2019 23:43:08 +0000

python-bottle (0.12.15-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 15 Dec 2018 21:50:09 +0000

=== debian/control ===
Source: python-bottle
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep:
 python3-all
 , python3-doc
 , dh-python
 , python3-sphinx
 , python3-setuptools
# needed for build-time tests
 , python3-cherrypy3
 , python3-eventlet
# , python3-flup #py3k version not packaged yet
 , python3-gevent
 , python3-jinja2
 , python3-mako
 , python3-paste
 , python3-simpletal
 , python3-tornado
 , tox
 , python3-twisted
 , python3-werkzeug
 , gunicorn
Standards-Version: 4.2.1
Homepage: http://bottlepy.org
Vcs-Git: https://salsa.debian.org/debian/python-bottle.git
Vcs-Browser: https://salsa.debian.org/debian/python-bottle
Testsuite: autopkgtest-pkg-python

Package: python3-bottle
Architecture: all
Depends:
 ${python3:Depends}
 , ${misc:Depends}
Provides: ${python3:Provides}
Description: fast and simple WSGI-framework for Python3
 Bottle is a fast and simple WSGI-framework for the Python3 programming
 language. It offers request dispatching with url parameter support
 (routes), templates, key/value databases, a built-in HTTP server and
 adapters for many third party WSGI/HTTP-server and template engines.

Package: python-bottle-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
 , ${sphinxdoc:Depends}
 , libjs-jquery
 , libjs-underscore
Description: fast and simple WSGI-framework for Python - documentation
 Bottle is a fast and simple WSGI-framework for the Python programming
 language. It offers request dispatching with url parameter support
 (routes), templates, key/value databases, a built-in HTTP server and
 adapters for many third party WSGI/HTTP-server and template engines.
 .
 This package contains the Python module documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=bottle

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --test-tox

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bhtml docs build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -E -bman docs build/man
	rm -rf ./build/html/.doctrees

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-bottle-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Run only "fast" tests, see #834918 and
	# https://github.com/bottlepy/bottle/commit/9752ca1bd464371db0217a0681cd67d9a7a8dcda
	# skip tests for now
	#PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} test/testall.py fast" dh_auto_test
endif

## python-bottle 0.12.19

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,26 @@
 PATH := build/python/bin:$(PATH)
 VERSION = $(shell python setup.py --version)
 ALLFILES = $(shell echo bottle.py test/*.py test/views/*.tpl)
+VENV = build/venv
 
 .PHONY: release coverage install docs test test_all test_25 test_26 test_27 test_31 test_32 test_33 2to3 clean
 
-release: test_all
-	python setup.py --version | egrep -q -v '[a-zA-Z]' # Fail on dev/rc versions
-	git commit -e -m "Release of $(VERSION)"           # Fail on nothing to commit
-	git tag -a -m "Release of $(VERSION)" $(VERSION)   # Fail on existing tags
-	git push origin HEAD                               # Fail on out-of-sync upstream
-	git push origin tag $(VERSION)                     # Fail on dublicate tag
-	python setup.py sdist register upload              # Release to pypi
+release: clean venv
+	$(VENV)/bin/python3 setup.py --version | egrep -q -v '[a-zA-Z]' # Fail on dev/rc versions
+	git commit -e -m "Release of $(VERSION)"            # Fail on nothing to commit
+	git tag -a -m "Release of $(VERSION)" $(VERSION)    # Fail on existing tags
+	git push origin HEAD                                # Fail on out-of-sync upstream
+	git push origin tag $(VERSION)                      # Fail on dublicate tag
+	$(VENV)/bin/python3 setup.py sdist bdist_wheel      # Build project
+	$(VENV)/bin/twine upload dist/$(VERSION)*           # Release to pypi
+
+venv: $(VENV)/.installed
+$(VENV)/.installed: Makefile
+	python3 -mvenv $(VENV)
+	$(VENV)/bin/python3 -mensurepip
+	$(VENV)/bin/pip install -U pip
+	$(VENV)/bin/pip install -U setuptools wheel twine coverage
+	touch $(VENV)/.installed
 
 coverage:
 	-mkdir build/
@@ -63,4 +73,3 @@
 	find . -name '*~' -exec rm -f {} +
 	find . -name '._*' -exec rm -f {} +
 	find . -name '.coverage*' -exec rm -f {} +
-

=== debian/changelog ===
python-bottle (0.12.19-1+deb11u1) bullseye-security; urgency=high

  * Gracefully handle errors during early request binding
    Kudos to Marcel Hellkamp

 -- Federico Ceratto <federico@debian.org>  Thu, 26 May 2022 19:36:33 +0100

python-bottle (0.12.19-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 30 Dec 2020 15:48:11 +0000

python-bottle (0.12.16-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 18 Dec 2018 17:49:58 +0000

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,32 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 11~)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
- python3-all
- , python3-doc
- , dh-python
- , python3-sphinx
- , python3-setuptools
+ python3-all,
+ dh-python,
+ python3-sphinx,
+ python3-setuptools,
 # needed for build-time tests
- , python3-cherrypy3
- , python3-eventlet
-# , python3-flup #py3k version not packaged yet
- , python3-gevent
- , python3-jinja2
- , python3-mako
- , python3-paste
- , python3-simpletal
- , python3-tornado
- , tox
- , python3-twisted
- , python3-werkzeug
- , gunicorn
-Standards-Version: 4.2.1
-Homepage: http://bottlepy.org
+## gunicorn,
+#python3-cherrypy,
+## python3-eventlet,
+#python3-flup,
+## python3-gevent,
+ python3-jinja2,
+ python3-mako,
+ python3-paste,
+## python3-simpletal,
+ python3-tornado,
+## python3-twisted,
+ python3-werkzeug,
+ tox
+Standards-Version: 4.5.1
+Homepage: https://bottlepy.org
 Vcs-Git: https://salsa.debian.org/debian/python-bottle.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bottle
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-bottle
 Architecture: all
@@ -35,7 +35,7 @@
  ${python3:Depends}
  , ${misc:Depends}
 Provides: ${python3:Provides}
-Description: fast and simple WSGI-framework for Python3
+Description: fast and simple WSGI-framework for Python 3
  Bottle is a fast and simple WSGI-framework for the Python3 programming
  language. It offers request dispatching with url parameter support
  (routes), templates, key/value databases, a built-in HTTP server and

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=bottle

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild --test-tox

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bhtml docs build/html
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' sphinx-build -N -E -bman docs build/man
	rm -rf ./build/html/.doctrees

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-bottle-doc
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.rst

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Run only "fast" tests, see #834918 and
	# https://github.com/bottlepy/bottle/commit/9752ca1bd464371db0217a0681cd67d9a7a8dcda
	python3 test/testall.py fast
endif

## python-bottle 0.12.21

=== debian/changelog ===
python-bottle (0.12.21-1) unstable; urgency=high

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 May 2022 14:25:15 +0100

python-bottle (0.12.20-1) unstable; urgency=high

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 26 May 2022 19:00:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,21 +8,13 @@
  dh-python,
  python3-sphinx,
  python3-setuptools,
-# needed for build-time tests
-## gunicorn,
-#python3-cherrypy,
-## python3-eventlet,
-#python3-flup,
-## python3-gevent,
  python3-jinja2,
  python3-mako,
  python3-paste,
-## python3-simpletal,
  python3-tornado,
-## python3-twisted,
  python3-werkzeug,
  tox
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://bottlepy.org
 Vcs-Git: https://salsa.debian.org/debian/python-bottle.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bottle

## python-bottle 0.12.23

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ALLFILES = $(shell echo bottle.py test/*.py test/views/*.tpl)
 VENV = build/venv
 
-.PHONY: release coverage install docs test test_all test_25 test_26 test_27 test_31 test_32 test_33 2to3 clean
+.PHONY: release coverage install docs test 2to3 clean
 
 release: clean venv
 	$(VENV)/bin/python3 setup.py --version | egrep -q -v '[a-zA-Z]' # Fail on dev/rc versions
@@ -25,12 +25,12 @@
 coverage:
 	-mkdir build/
 	coverage erase
-	COVERAGE_PROCESS_START=.coveragerc test/testall.py
+	COVERAGE_PROCESS_START=.coveragerc python -m unittest discover
 	coverage combine
 	coverage report
 	coverage html
 
-push: test_all
+push: test
 	git push origin HEAD
 
 install:
@@ -40,30 +40,7 @@
 	sphinx-build -b html -d build/docs/doctrees docs build/docs/html
 
 test:
-	python test/testall.py
-
-test_all: test_25 test_26 test_27 test_31 test_32 test_33 test_34
-
-test_25:
-	python2.5 test/testall.py
-
-test_26:
-	python2.6 test/testall.py
-
-test_27:
-	python2.7 test/testall.py
-
-test_31:
-	python3.1 test/testall.py
-
-test_32:
-	python3.2 test/testall.py
-
-test_33:
-	python3.3 test/testall.py
-
-test_34:
-	python3.4 test/testall.py
+	python -m unittest discover
 
 clean:
 	rm -rf build/ dist/ MANIFEST 2>/dev/null || true

=== debian/changelog ===
python-bottle (0.12.23-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on python3-wheel, for tox 4 support. (Closes: #1035694)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Aug 2023 17:42:13 +0200

python-bottle (0.12.23-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ James Addison ]
  * d/patches: add 0004 to disable the local proxy for the tests. (Closes:
    #1028743)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 26 Feb 2023 15:59:44 -0500

python-bottle (0.12.23-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 17 Sep 2022 11:37:25 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  python3-paste,
  python3-tornado,
  python3-werkzeug,
+ python3-wheel,
  tox
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://bottlepy.org
 Vcs-Git: https://salsa.debian.org/debian/python-bottle.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bottle

## python-bottle 0.12.25

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	git push origin HEAD                                # Fail on out-of-sync upstream
 	git push origin tag $(VERSION)                      # Fail on dublicate tag
 	$(VENV)/bin/python3 setup.py sdist bdist_wheel      # Build project
-	$(VENV)/bin/twine upload dist/$(VERSION)*           # Release to pypi
+	$(VENV)/bin/twine upload dist/bottle-$(VERSION)*    # Release to pypi
 
 venv: $(VENV)/.installed
 $(VENV)/.installed: Makefile

=== debian/changelog ===
python-bottle (0.12.25-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Oct 2023 11:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-werkzeug,
  python3-wheel,
  tox
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://bottlepy.org
 Vcs-Git: https://salsa.debian.org/debian/python-bottle.git
 Vcs-Browser: https://salsa.debian.org/debian/python-bottle
